Opened 12 years ago

Closed 11 years ago

#6555 closed defect (duplicate)

Twisted produces deprecation warning about using md5 module in Python 2.6

Reported by: jason Owned by: boothby
Priority: major Milestone: sage-duplicate/invalid/wontfix
Component: notebook Keywords:
Cc: Merged in:
Authors: Reviewers:
Report Upstream: Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Status badges

Description

When I start up the notebook in 4.1, I get:

sage: notebook()
The notebook files are stored in: /home/grout/.sage//sage_notebook
**************************************************
*                                                *
* Open your web browser to http://localhost:8000 *
*                                                *
**************************************************
/home/grout/sage/local/lib/python2.6/site-packages/twisted/persisted/sob.py:12: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import os, md5, sys

It looks like this was fixed a while ago in twisted: http://twistedmatrix.com/trac/ticket/2763

Change History (2)

comment:1 Changed 12 years ago by jason

It also appears that there is other work for them to be compatible with Python 2.6: http://twistedmatrix.com/trac/query?status=new&status=assigned&status=reopened&milestone=Python-2.6

comment:2 Changed 11 years ago by mhansen

  • Milestone changed from sage-4.3 to sage-duplicate/invalid/wontfix
  • Resolution set to duplicate
  • Status changed from new to closed

This was fixed by #6676.

Note: See TracTickets for help on using tickets.